API Docs
Payment Links
API ReferencePayment LinksList

List Payment Links

Retrieve a list of payment links.

POST /payment_link/list

Body Parameters

ParameterTypeRequiredDefaultDescription
limitintegerNo10Number of links to return (max: 100)
offsetintegerNo0Number of links to skip
statusstringNoFilter by status (active, expired)

Request Example

curl -X POST 'https://api.v2.paychtec.com/payment_link/list' \  -H "Content-Type: application/json" \  -H "api-key: snd_YOUR_API_KEY" \  -d '{  "limit": 10,  "status": "active"}'

Response

{
  "count": 1,
  "total_count": 5,
  "data": [
    {
      "payment_link_id": "plink_1234567890",
      "amount": 5000,
      "currency": "USD",
      "url": "https://buy.uprails.com/plink_1234567890",
      "status": "active",
      "created": "2024-01-22T10:00:00Z"
    }
  ]
}